Makefile 26 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699
  1. # Makefile.in generated by automake 1.12.3 from Makefile.am.
  2. # Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2012 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. am__make_dryrun = \
  12. { \
  13. am__dry=no; \
  14. case $$MAKEFLAGS in \
  15. *\\[\ \ ]*) \
  16. echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
  17. | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
  18. *) \
  19. for am__flg in $$MAKEFLAGS; do \
  20. case $$am__flg in \
  21. *=*|--*) ;; \
  22. *n*) am__dry=yes; break;; \
  23. esac; \
  24. done;; \
  25. esac; \
  26. test $$am__dry = yes; \
  27. }
  28. pkgdatadir = $(datadir)/libwebsocket-a
  29. pkgincludedir = $(includedir)/libwebsocket-a
  30. pkglibdir = $(libdir)/libwebsocket-a
  31. pkglibexecdir = $(libexecdir)/libwebsocket-a
  32. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  33. install_sh_DATA = $(install_sh) -c -m 644
  34. install_sh_PROGRAM = $(install_sh) -c
  35. install_sh_SCRIPT = $(install_sh) -c
  36. INSTALL_HEADER = $(INSTALL_DATA)
  37. transform = $(program_transform_name)
  38. NORMAL_INSTALL = :
  39. PRE_INSTALL = :
  40. POST_INSTALL = :
  41. NORMAL_UNINSTALL = :
  42. PRE_UNINSTALL = :
  43. POST_UNINSTALL = :
  44. subdir = .
  45. DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
  46. $(srcdir)/Makefile.in $(top_srcdir)/../depcomp \
  47. $(top_srcdir)/../install-sh $(top_srcdir)/../missing \
  48. $(top_srcdir)/configure
  49. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  50. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  51. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  52. $(ACLOCAL_M4)
  53. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  54. configure.lineno config.status.lineno
  55. mkinstalldirs = $(install_sh) -d
  56. CONFIG_CLEAN_FILES =
  57. CONFIG_CLEAN_VPATH_FILES =
  58. LIBRARIES = $(noinst_LIBRARIES)
  59. AR = ar
  60. ARFLAGS = cru
  61. libwebsocket_a_AR = $(AR) $(ARFLAGS)
  62. libwebsocket_a_LIBADD =
  63. am_libwebsocket_a_OBJECTS = jsonBuilder.$(OBJEXT) wsClient.$(OBJEXT) \
  64. wsClientMgr.$(OBJEXT) wsTimerThread.$(OBJEXT) \
  65. sio_client.$(OBJEXT) sio_socket.$(OBJEXT) \
  66. sio_client_impl.$(OBJEXT) sio_packet.$(OBJEXT)
  67. libwebsocket_a_OBJECTS = $(am_libwebsocket_a_OBJECTS)
  68. DEFAULT_INCLUDES = -I.
  69. depcomp = $(SHELL) $(top_srcdir)/../depcomp
  70. am__depfiles_maybe = depfiles
  71. am__mv = mv -f
  72. CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  73. $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
  74. CXXLD = $(CXX)
  75. CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
  76. -o $@
  77. SOURCES = $(libwebsocket_a_SOURCES)
  78. DIST_SOURCES = $(libwebsocket_a_SOURCES)
  79. am__can_run_installinfo = \
  80. case $$AM_UPDATE_INFO_DIR in \
  81. n|no|NO) false;; \
  82. *) (install-info --version) >/dev/null 2>&1;; \
  83. esac
  84. ETAGS = etags
  85. CTAGS = ctags
  86. CSCOPE = cscope
  87. AM_RECURSIVE_TARGETS = cscope
  88. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  89. distdir = $(PACKAGE)-$(VERSION)
  90. top_distdir = $(distdir)
  91. am__remove_distdir = \
  92. if test -d "$(distdir)"; then \
  93. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  94. && rm -rf "$(distdir)" \
  95. || { sleep 5 && rm -rf "$(distdir)"; }; \
  96. else :; fi
  97. am__post_remove_distdir = $(am__remove_distdir)
  98. DIST_ARCHIVES = $(distdir).tar.gz
  99. GZIP_ENV = --best
  100. DIST_TARGETS = dist-gzip
  101. distuninstallcheck_listfiles = find . -type f -print
  102. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  103. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  104. distcleancheck_listfiles = find . -type f -print
  105. ACLOCAL = ${SHELL} /home/zzj/ya-src/ya-serv/missing --run aclocal-1.12
  106. AMTAR = $${TAR-tar}
  107. AUTOCONF = ${SHELL} /home/zzj/ya-src/ya-serv/missing --run autoconf
  108. AUTOHEADER = ${SHELL} /home/zzj/ya-src/ya-serv/missing --run autoheader
  109. AUTOMAKE = ${SHELL} /home/zzj/ya-src/ya-serv/missing --run automake-1.12
  110. AWK = gawk
  111. CC = gcc
  112. CCDEPMODE = depmode=gcc3
  113. CFLAGS = -g -O2
  114. CPPFLAGS =
  115. CXX = g++
  116. CXXDEPMODE = depmode=gcc3
  117. CXXFLAGS = -g
  118. CYGPATH_W = echo
  119. DEFS =
  120. DEPDIR = .deps
  121. ECHO_C =
  122. ECHO_N = -n
  123. ECHO_T =
  124. EXEEXT =
  125. INSTALL = /usr/bin/install -c
  126. INSTALL_DATA = ${INSTALL} -m 644
  127. INSTALL_PROGRAM = ${INSTALL}
  128. INSTALL_SCRIPT = ${INSTALL}
  129. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  130. LDFLAGS =
  131. LIBOBJS =
  132. LIBS =
  133. LTLIBOBJS =
  134. MAKEINFO = ${SHELL} /home/zzj/ya-src/ya-serv/missing --run makeinfo
  135. MKDIR_P = /bin/mkdir -p
  136. OBJEXT = o
  137. PACKAGE = libwebsocket-a
  138. PACKAGE_BUGREPORT = BUG-REPORT-ADDRESS
  139. PACKAGE_NAME = libwebsocket.a
  140. PACKAGE_STRING = libwebsocket.a 1.0
  141. PACKAGE_TARNAME = libwebsocket-a
  142. PACKAGE_URL =
  143. PACKAGE_VERSION = 1.0
  144. PATH_SEPARATOR = :
  145. RANLIB = ranlib
  146. SET_MAKE =
  147. SHELL = /bin/sh
  148. STRIP =
  149. VERSION = 1.0
  150. abs_builddir = /home/zzj/ya-src/ya-serv/websocket
  151. abs_srcdir = /home/zzj/ya-src/ya-serv/websocket
  152. abs_top_builddir = /home/zzj/ya-src/ya-serv/websocket
  153. abs_top_srcdir = /home/zzj/ya-src/ya-serv/websocket
  154. ac_ct_CC = gcc
  155. ac_ct_CXX = g++
  156. am__include = include
  157. am__leading_dot = .
  158. am__quote =
  159. am__tar = $${TAR-tar} chof - "$$tardir"
  160. am__untar = $${TAR-tar} xf -
  161. bindir = ${exec_prefix}/bin
  162. build_alias =
  163. builddir = .
  164. datadir = ${datarootdir}
  165. datarootdir = ${prefix}/share
  166. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  167. dvidir = ${docdir}
  168. exec_prefix = ${prefix}
  169. host_alias =
  170. htmldir = ${docdir}
  171. includedir = ${prefix}/include
  172. infodir = ${datarootdir}/info
  173. install_sh = ${SHELL} /home/zzj/ya-src/ya-serv/install-sh
  174. libdir = ${exec_prefix}/lib
  175. libexecdir = ${exec_prefix}/libexec
  176. localedir = ${datarootdir}/locale
  177. localstatedir = ${prefix}/var
  178. mandir = ${datarootdir}/man
  179. mkdir_p = $(MKDIR_P)
  180. oldincludedir = /usr/include
  181. pdfdir = ${docdir}
  182. prefix = /home/zzj/ya-src/ya-serv/websocket/../../dist
  183. program_transform_name = s,x,x,
  184. psdir = ${docdir}
  185. sbindir = ${exec_prefix}/sbin
  186. sharedstatedir = ${prefix}/com
  187. srcdir = .
  188. sysconfdir = ${prefix}/etc
  189. target_alias =
  190. top_build_prefix =
  191. top_builddir = .
  192. top_srcdir = .
  193. AUTOMAKE_OPTIONS = foreign
  194. noinst_LIBRARIES = libwebsocket.a
  195. AM_CPPFLAGS = -Wall -pthread -m64 -std=c++11 -I${prefix}/include -I. -I.. -I./sio
  196. AM_LDFLAGS = -Wall -pthread -m64 -std=c++11 -L${prefix}/lib
  197. libwebsocket_a_SOURCES = jsonBuilder.cpp wsClient.cpp wsClientMgr.cpp wsTimerThread.cpp \
  198. sio/sio_client.cpp sio/sio_socket.cpp \
  199. sio/internal/sio_client_impl.cpp sio/internal/sio_packet.cpp
  200. EXTRA_DIST =
  201. all: all-am
  202. .SUFFIXES:
  203. .SUFFIXES: .cpp .o .obj
  204. am--refresh: Makefile
  205. @:
  206. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  207. @for dep in $?; do \
  208. case '$(am__configure_deps)' in \
  209. *$$dep*) \
  210. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  211. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  212. && exit 0; \
  213. exit 1;; \
  214. esac; \
  215. done; \
  216. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  217. $(am__cd) $(top_srcdir) && \
  218. $(AUTOMAKE) --foreign Makefile
  219. .PRECIOUS: Makefile
  220. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  221. @case '$?' in \
  222. *config.status*) \
  223. echo ' $(SHELL) ./config.status'; \
  224. $(SHELL) ./config.status;; \
  225. *) \
  226. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  227. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  228. esac;
  229. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  230. $(SHELL) ./config.status --recheck
  231. $(top_srcdir)/configure: $(am__configure_deps)
  232. $(am__cd) $(srcdir) && $(AUTOCONF)
  233. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  234. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  235. $(am__aclocal_m4_deps):
  236. clean-noinstLIBRARIES:
  237. -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
  238. libwebsocket.a: $(libwebsocket_a_OBJECTS) $(libwebsocket_a_DEPENDENCIES) $(EXTRA_libwebsocket_a_DEPENDENCIES)
  239. -rm -f libwebsocket.a
  240. $(libwebsocket_a_AR) libwebsocket.a $(libwebsocket_a_OBJECTS) $(libwebsocket_a_LIBADD)
  241. $(RANLIB) libwebsocket.a
  242. mostlyclean-compile:
  243. -rm -f *.$(OBJEXT)
  244. distclean-compile:
  245. -rm -f *.tab.c
  246. include ./$(DEPDIR)/jsonBuilder.Po
  247. include ./$(DEPDIR)/sio_client.Po
  248. include ./$(DEPDIR)/sio_client_impl.Po
  249. include ./$(DEPDIR)/sio_packet.Po
  250. include ./$(DEPDIR)/sio_socket.Po
  251. include ./$(DEPDIR)/wsClient.Po
  252. include ./$(DEPDIR)/wsClientMgr.Po
  253. include ./$(DEPDIR)/wsTimerThread.Po
  254. .cpp.o:
  255. $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  256. $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  257. # source='$<' object='$@' libtool=no \
  258. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  259. # $(CXXCOMPILE) -c -o $@ $<
  260. .cpp.obj:
  261. $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  262. $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  263. # source='$<' object='$@' libtool=no \
  264. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  265. # $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  266. sio_client.o: sio/sio_client.cpp
  267. $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_client.o -MD -MP -MF $(DEPDIR)/sio_client.Tpo -c -o sio_client.o `test -f 'sio/sio_client.cpp' || echo '$(srcdir)/'`sio/sio_client.cpp
  268. $(am__mv) $(DEPDIR)/sio_client.Tpo $(DEPDIR)/sio_client.Po
  269. # source='sio/sio_client.cpp' object='sio_client.o' libtool=no \
  270. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  271. # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_client.o `test -f 'sio/sio_client.cpp' || echo '$(srcdir)/'`sio/sio_client.cpp
  272. sio_client.obj: sio/sio_client.cpp
  273. $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_client.obj -MD -MP -MF $(DEPDIR)/sio_client.Tpo -c -o sio_client.obj `if test -f 'sio/sio_client.cpp'; then $(CYGPATH_W) 'sio/sio_client.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/sio_client.cpp'; fi`
  274. $(am__mv) $(DEPDIR)/sio_client.Tpo $(DEPDIR)/sio_client.Po
  275. # source='sio/sio_client.cpp' object='sio_client.obj' libtool=no \
  276. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  277. # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_client.obj `if test -f 'sio/sio_client.cpp'; then $(CYGPATH_W) 'sio/sio_client.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/sio_client.cpp'; fi`
  278. sio_socket.o: sio/sio_socket.cpp
  279. $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_socket.o -MD -MP -MF $(DEPDIR)/sio_socket.Tpo -c -o sio_socket.o `test -f 'sio/sio_socket.cpp' || echo '$(srcdir)/'`sio/sio_socket.cpp
  280. $(am__mv) $(DEPDIR)/sio_socket.Tpo $(DEPDIR)/sio_socket.Po
  281. # source='sio/sio_socket.cpp' object='sio_socket.o' libtool=no \
  282. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  283. # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_socket.o `test -f 'sio/sio_socket.cpp' || echo '$(srcdir)/'`sio/sio_socket.cpp
  284. sio_socket.obj: sio/sio_socket.cpp
  285. $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_socket.obj -MD -MP -MF $(DEPDIR)/sio_socket.Tpo -c -o sio_socket.obj `if test -f 'sio/sio_socket.cpp'; then $(CYGPATH_W) 'sio/sio_socket.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/sio_socket.cpp'; fi`
  286. $(am__mv) $(DEPDIR)/sio_socket.Tpo $(DEPDIR)/sio_socket.Po
  287. # source='sio/sio_socket.cpp' object='sio_socket.obj' libtool=no \
  288. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  289. # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_socket.obj `if test -f 'sio/sio_socket.cpp'; then $(CYGPATH_W) 'sio/sio_socket.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/sio_socket.cpp'; fi`
  290. sio_client_impl.o: sio/internal/sio_client_impl.cpp
  291. $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_client_impl.o -MD -MP -MF $(DEPDIR)/sio_client_impl.Tpo -c -o sio_client_impl.o `test -f 'sio/internal/sio_client_impl.cpp' || echo '$(srcdir)/'`sio/internal/sio_client_impl.cpp
  292. $(am__mv) $(DEPDIR)/sio_client_impl.Tpo $(DEPDIR)/sio_client_impl.Po
  293. # source='sio/internal/sio_client_impl.cpp' object='sio_client_impl.o' libtool=no \
  294. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  295. # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_client_impl.o `test -f 'sio/internal/sio_client_impl.cpp' || echo '$(srcdir)/'`sio/internal/sio_client_impl.cpp
  296. sio_client_impl.obj: sio/internal/sio_client_impl.cpp
  297. $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_client_impl.obj -MD -MP -MF $(DEPDIR)/sio_client_impl.Tpo -c -o sio_client_impl.obj `if test -f 'sio/internal/sio_client_impl.cpp'; then $(CYGPATH_W) 'sio/internal/sio_client_impl.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/internal/sio_client_impl.cpp'; fi`
  298. $(am__mv) $(DEPDIR)/sio_client_impl.Tpo $(DEPDIR)/sio_client_impl.Po
  299. # source='sio/internal/sio_client_impl.cpp' object='sio_client_impl.obj' libtool=no \
  300. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  301. # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_client_impl.obj `if test -f 'sio/internal/sio_client_impl.cpp'; then $(CYGPATH_W) 'sio/internal/sio_client_impl.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/internal/sio_client_impl.cpp'; fi`
  302. sio_packet.o: sio/internal/sio_packet.cpp
  303. $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_packet.o -MD -MP -MF $(DEPDIR)/sio_packet.Tpo -c -o sio_packet.o `test -f 'sio/internal/sio_packet.cpp' || echo '$(srcdir)/'`sio/internal/sio_packet.cpp
  304. $(am__mv) $(DEPDIR)/sio_packet.Tpo $(DEPDIR)/sio_packet.Po
  305. # source='sio/internal/sio_packet.cpp' object='sio_packet.o' libtool=no \
  306. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  307. # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_packet.o `test -f 'sio/internal/sio_packet.cpp' || echo '$(srcdir)/'`sio/internal/sio_packet.cpp
  308. sio_packet.obj: sio/internal/sio_packet.cpp
  309. $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sio_packet.obj -MD -MP -MF $(DEPDIR)/sio_packet.Tpo -c -o sio_packet.obj `if test -f 'sio/internal/sio_packet.cpp'; then $(CYGPATH_W) 'sio/internal/sio_packet.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/internal/sio_packet.cpp'; fi`
  310. $(am__mv) $(DEPDIR)/sio_packet.Tpo $(DEPDIR)/sio_packet.Po
  311. # source='sio/internal/sio_packet.cpp' object='sio_packet.obj' libtool=no \
  312. # DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
  313. # $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sio_packet.obj `if test -f 'sio/internal/sio_packet.cpp'; then $(CYGPATH_W) 'sio/internal/sio_packet.cpp'; else $(CYGPATH_W) '$(srcdir)/sio/internal/sio_packet.cpp'; fi`
  314. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  315. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  316. unique=`for i in $$list; do \
  317. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  318. done | \
  319. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  320. END { if (nonempty) { for (i in files) print i; }; }'`; \
  321. mkid -fID $$unique
  322. tags: TAGS
  323. TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
  324. $(TAGS_FILES) $(LISP)
  325. set x; \
  326. here=`pwd`; \
  327. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  328. unique=`for i in $$list; do \
  329. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  330. done | \
  331. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  332. END { if (nonempty) { for (i in files) print i; }; }'`; \
  333. shift; \
  334. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  335. test -n "$$unique" || unique=$$empty_fix; \
  336. if test $$# -gt 0; then \
  337. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  338. "$$@" $$unique; \
  339. else \
  340. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  341. $$unique; \
  342. fi; \
  343. fi
  344. ctags: CTAGS
  345. CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
  346. $(TAGS_FILES) $(LISP)
  347. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  348. unique=`for i in $$list; do \
  349. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  350. done | \
  351. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  352. END { if (nonempty) { for (i in files) print i; }; }'`; \
  353. test -z "$(CTAGS_ARGS)$$unique" \
  354. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  355. $$unique
  356. GTAGS:
  357. here=`$(am__cd) $(top_builddir) && pwd` \
  358. && $(am__cd) $(top_srcdir) \
  359. && gtags -i $(GTAGS_ARGS) "$$here"
  360. cscope: cscope.files
  361. test ! -s cscope.files \
  362. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  363. clean-cscope:
  364. -rm -f cscope.files
  365. cscope.files: clean-cscope cscopelist
  366. cscopelist: $(HEADERS) $(SOURCES) $(LISP)
  367. list='$(SOURCES) $(HEADERS) $(LISP)'; \
  368. case "$(srcdir)" in \
  369. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  370. *) sdir=$(subdir)/$(srcdir) ;; \
  371. esac; \
  372. for i in $$list; do \
  373. if test -f "$$i"; then \
  374. echo "$(subdir)/$$i"; \
  375. else \
  376. echo "$$sdir/$$i"; \
  377. fi; \
  378. done >> $(top_builddir)/cscope.files
  379. distclean-tags:
  380. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  381. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  382. distdir: $(DISTFILES)
  383. $(am__remove_distdir)
  384. test -d "$(distdir)" || mkdir "$(distdir)"
  385. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  386. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  387. list='$(DISTFILES)'; \
  388. dist_files=`for file in $$list; do echo $$file; done | \
  389. sed -e "s|^$$srcdirstrip/||;t" \
  390. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  391. case $$dist_files in \
  392. */*) $(MKDIR_P) `echo "$$dist_files" | \
  393. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  394. sort -u` ;; \
  395. esac; \
  396. for file in $$dist_files; do \
  397. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  398. if test -d $$d/$$file; then \
  399. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  400. if test -d "$(distdir)/$$file"; then \
  401. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  402. fi; \
  403. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  404. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  405. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  406. fi; \
  407. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  408. else \
  409. test -f "$(distdir)/$$file" \
  410. || cp -p $$d/$$file "$(distdir)/$$file" \
  411. || exit 1; \
  412. fi; \
  413. done
  414. -test -n "$(am__skip_mode_fix)" \
  415. || find "$(distdir)" -type d ! -perm -755 \
  416. -exec chmod u+rwx,go+rx {} \; -o \
  417. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  418. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  419. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  420. || chmod -R a+r "$(distdir)"
  421. dist-gzip: distdir
  422. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  423. $(am__post_remove_distdir)
  424. dist-bzip2: distdir
  425. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  426. $(am__post_remove_distdir)
  427. dist-lzip: distdir
  428. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  429. $(am__post_remove_distdir)
  430. dist-xz: distdir
  431. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  432. $(am__post_remove_distdir)
  433. dist-tarZ: distdir
  434. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  435. $(am__post_remove_distdir)
  436. dist-shar: distdir
  437. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  438. $(am__post_remove_distdir)
  439. dist-zip: distdir
  440. -rm -f $(distdir).zip
  441. zip -rq $(distdir).zip $(distdir)
  442. $(am__post_remove_distdir)
  443. dist dist-all:
  444. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  445. $(am__post_remove_distdir)
  446. # This target untars the dist file and tries a VPATH configuration. Then
  447. # it guarantees that the distribution is self-contained by making another
  448. # tarfile.
  449. distcheck: dist
  450. case '$(DIST_ARCHIVES)' in \
  451. *.tar.gz*) \
  452. GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  453. *.tar.bz2*) \
  454. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  455. *.tar.lz*) \
  456. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  457. *.tar.xz*) \
  458. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  459. *.tar.Z*) \
  460. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  461. *.shar.gz*) \
  462. GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  463. *.zip*) \
  464. unzip $(distdir).zip ;;\
  465. esac
  466. chmod -R a-w $(distdir)
  467. chmod u+w $(distdir)
  468. mkdir $(distdir)/_build $(distdir)/_inst
  469. chmod a-w $(distdir)
  470. test -d $(distdir)/_build || exit 0; \
  471. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  472. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  473. && am__cwd=`pwd` \
  474. && $(am__cd) $(distdir)/_build \
  475. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  476. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  477. $(DISTCHECK_CONFIGURE_FLAGS) \
  478. && $(MAKE) $(AM_MAKEFLAGS) \
  479. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  480. && $(MAKE) $(AM_MAKEFLAGS) check \
  481. && $(MAKE) $(AM_MAKEFLAGS) install \
  482. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  483. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  484. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  485. distuninstallcheck \
  486. && chmod -R a-w "$$dc_install_base" \
  487. && ({ \
  488. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  489. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  490. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  491. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  492. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  493. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  494. && rm -rf "$$dc_destdir" \
  495. && $(MAKE) $(AM_MAKEFLAGS) dist \
  496. && rm -rf $(DIST_ARCHIVES) \
  497. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  498. && cd "$$am__cwd" \
  499. || exit 1
  500. $(am__post_remove_distdir)
  501. @(echo "$(distdir) archives ready for distribution: "; \
  502. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  503. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  504. distuninstallcheck:
  505. @test -n '$(distuninstallcheck_dir)' || { \
  506. echo 'ERROR: trying to run $@ with an empty' \
  507. '$$(distuninstallcheck_dir)' >&2; \
  508. exit 1; \
  509. }; \
  510. $(am__cd) '$(distuninstallcheck_dir)' || { \
  511. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  512. exit 1; \
  513. }; \
  514. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  515. || { echo "ERROR: files left after uninstall:" ; \
  516. if test -n "$(DESTDIR)"; then \
  517. echo " (check DESTDIR support)"; \
  518. fi ; \
  519. $(distuninstallcheck_listfiles) ; \
  520. exit 1; } >&2
  521. distcleancheck: distclean
  522. @if test '$(srcdir)' = . ; then \
  523. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  524. exit 1 ; \
  525. fi
  526. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  527. || { echo "ERROR: files left in build directory after distclean:" ; \
  528. $(distcleancheck_listfiles) ; \
  529. exit 1; } >&2
  530. check-am: all-am
  531. check: check-am
  532. all-am: Makefile $(LIBRARIES)
  533. installdirs:
  534. install: install-am
  535. install-exec: install-exec-am
  536. install-data: install-data-am
  537. uninstall: uninstall-am
  538. install-am: all-am
  539. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  540. installcheck: installcheck-am
  541. install-strip:
  542. if test -z '$(STRIP)'; then \
  543. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  544. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  545. install; \
  546. else \
  547. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  548. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  549. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  550. fi
  551. mostlyclean-generic:
  552. clean-generic:
  553. distclean-generic:
  554. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  555. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  556. maintainer-clean-generic:
  557. @echo "This command is intended for maintainers to use"
  558. @echo "it deletes files that may require special tools to rebuild."
  559. clean: clean-am
  560. clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
  561. distclean: distclean-am
  562. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  563. -rm -rf ./$(DEPDIR)
  564. -rm -f Makefile
  565. distclean-am: clean-am distclean-compile distclean-generic \
  566. distclean-tags
  567. dvi: dvi-am
  568. dvi-am:
  569. html: html-am
  570. html-am:
  571. info: info-am
  572. info-am:
  573. install-data-am:
  574. install-dvi: install-dvi-am
  575. install-dvi-am:
  576. install-exec-am:
  577. install-html: install-html-am
  578. install-html-am:
  579. install-info: install-info-am
  580. install-info-am:
  581. install-man:
  582. install-pdf: install-pdf-am
  583. install-pdf-am:
  584. install-ps: install-ps-am
  585. install-ps-am:
  586. installcheck-am:
  587. maintainer-clean: maintainer-clean-am
  588. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  589. -rm -rf $(top_srcdir)/autom4te.cache
  590. -rm -rf ./$(DEPDIR)
  591. -rm -f Makefile
  592. maintainer-clean-am: distclean-am maintainer-clean-generic
  593. mostlyclean: mostlyclean-am
  594. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  595. pdf: pdf-am
  596. pdf-am:
  597. ps: ps-am
  598. ps-am:
  599. uninstall-am:
  600. .MAKE: install-am install-strip
  601. .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
  602. clean-cscope clean-generic clean-noinstLIBRARIES cscope \
  603. cscopelist ctags dist dist-all dist-bzip2 dist-gzip dist-lzip \
  604. dist-shar dist-tarZ dist-xz dist-zip distcheck distclean \
  605. distclean-compile distclean-generic distclean-tags \
  606. distcleancheck distdir distuninstallcheck dvi dvi-am html \
  607. html-am info info-am install install-am install-data \
  608. install-data-am install-dvi install-dvi-am install-exec \
  609. install-exec-am install-html install-html-am install-info \
  610. install-info-am install-man install-pdf install-pdf-am \
  611. install-ps install-ps-am install-strip installcheck \
  612. installcheck-am installdirs maintainer-clean \
  613. maintainer-clean-generic mostlyclean mostlyclean-compile \
  614. mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
  615. uninstall-am
  616. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  617. # Otherwise a system limit (for SysV at least) may be exceeded.
  618. .NOEXPORT: